Retrieving Medical Education Credits GET

The Dynamic Health API GET /user/ce-counter endpoint returns the continuing medical education credits for a user. Before you can execute a continuing education counter call, you must have a personalized access token for the authorization request header. The user ID and product family are obtained from the token. You may also optionally indicate a months count return limit which will default to 24 months if not specified. The endpoint returns three types of credits: available, prepared and claimed. Available credits are for content that has been reviewed. Prepared credits are for content that has been reviewed and information needed by the accreditor. Claimed credits are those which have been submitted for consideration to the accreditor.

Basic Medical Education Credit Retrieval

Request

GET https://apis.ebsco.com/medsapi-dynamic-health/v1/user/ce-counter?monthsCount=24

Response

{
"links" [
     {
        "rel": "self",
        "href": "/ce-counter?monthsCount=24"
     }
  ],
  "available": 0,
  "prepared": 1.5,
  "claimed": 18.56
}

Query Parameters

  • monthsCount - The number of months to include in the query. The default is 24 months.

Response Details

FieldDescription
availableAvailable credits are for content that has been reviewed.
preparedPrepared credits are for content that has been reviewed and information needed by the accreditor has been created.
claimedClaimed credits are those which have been submitted for consideration to the accreditor.

Error Response Codes

The Dynamic Health get continuing education credits endpoint can return one of the error response codes.